window.Gleam.initSearch([{"doc":"bseal","title":"bseal","content":"# bseal\n\n[![Package Version](https://img.shields.io/hexpm/v/bseal)](https://hex.pm/packages/bseal)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/bseal/)\n\nbseal (Bamboo Seal) is number uuid generators, include (48 bits, 54 bits, 60 bits) for Gleam\n\nwhen base64 encode the string length is short\n\nuuid48: string length is 8\n\nuuid54: string length is 9\n\nuuid60: string length is 10\n\n```sh\ngleam add bseal\n```\n```gleam\nimport bseal/uuid48\n\npub fn main() {\n  // 1_704_038_400 2024-01-01 00:00:00\n  let uuid = uuid48.start(1, 1_704_038_400)\n  io.debug(uuid.string()) // out: &quot;abcd1234&quot;\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/bseal&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"bseal","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nbseal.main\nbseal main","url":"bseal.html#main"},{"doc":"bseal","title":"bseal","content":"","url":"bseal.html"},{"doc":"bseal/uuid48","title":"Message","content":"pub type Message {\n  Generate(client: Subject(String))\n}\n\nGenerate(client: Subject(String))\n\n\nSynonyms:\nbseal/uuid48.Message\nbseal/uuid48 Message","url":"bseal/uuid48.html#Message"},{"doc":"bseal/uuid48","title":"UUID48","content":"pub type UUID48 =\n  Subject(Message)\n\n\nSynonyms:\nbseal/uuid48.UUID48\nbseal/uuid48 UUID48","url":"bseal/uuid48.html#UUID48"},{"doc":"bseal/uuid48","title":"start","content":"pub fn start(\n  nodeid: Int,\n  epoch: Int,\n) -&gt; Result(Subject(Message), StartError)\n\nSynonyms:\nbseal/uuid48.start\nbseal/uuid48 start","url":"bseal/uuid48.html#start"},{"doc":"bseal/uuid48","title":"string","content":"pub fn string(service: Subject(Message)) -&gt; String\n\nSynonyms:\nbseal/uuid48.string\nbseal/uuid48 string","url":"bseal/uuid48.html#string"},{"doc":"bseal/uuid48","title":"bseal/uuid48","content":" generate a 48 bit number uuid\n nodeid (4 bit): 0 - 15 \n time (30 bit): 34 years\n index (14 bit): 0 - 16383","url":"bseal/uuid48.html"}]);